Logging (Gradle API 2.11)
Date: 2016-02-08

org.gradle.api.logging

## Class Logging

- java.lang.Object
- - org.gradle.api.logging.Logging

-     public class Logging
      extends Object

  The main entry point for Gradle's logging system. Gradle routes all logging via SLF4J. You can use either an SLF4J `Logger` or a Gradle `Logger` to perform logging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<Integer,LogLevel>` | `ANT_IVY_2_SLF4J_LEVEL_MAPPER` Deprecated.
    `static org.slf4j.Marker` | `LIFECYCLE`
    `static org.slf4j.Marker` | `QUIET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logging()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `getLogger(Class c)` Returns the logger for the given class.
    `static Logger` | `getLogger(String name)` Returns the logger with the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LIFECYCLE

          public static final org.slf4j.Marker LIFECYCLE

    - #### QUIET

          public static final org.slf4j.Marker QUIET

    - #### ANT_IVY_2_SLF4J_LEVEL_MAPPER

          @Deprecated
          public static final Map<Integer,LogLevel> ANT_IVY_2_SLF4J_LEVEL_MAPPER

      Deprecated.

  - ### Constructor Detail

    - #### Logging

          public Logging()

  - ### Method Detail

    - #### getLogger

          public static Logger getLogger(Class c)

      Returns the logger for the given class.
      Parameters:
        `c` - the class.
      Returns:
        the logger. Never returns null.

    - #### getLogger

          public static Logger getLogger(String name)

      Returns the logger with the given name.
      Parameters:
        `name` - the logger name.
      Returns:
        the logger. Never returns null.